PROJ	=DISKED
DEBUG	=1
CC	=qcl
AS	=qcl
CFLAGS_G	= /AL /W4 /Ze /DDISKED 
CFLAGS_D	= /Zi 
CFLAGS_R	= /O /Ol /Gs /DNDEBUG 
CFLAGS	=$(CFLAGS_G) $(CFLAGS_D)
AFLAGS_G	= /Cx /W2 /P1 
AFLAGS_D	= /Zd 
AFLAGS_R	= 
AFLAGS	=$(AFLAGS_G) $(AFLAGS_D)
LFLAGS_G	= /CP:0xfff /NOI /SE:0x80 /ST:0x800 
LFLAGS_D	= /CO 
LFLAGS_R	= 
LFLAGS	=$(LFLAGS_G) $(LFLAGS_D)
RUNFLAGS	=/m -f 
OBJS_EXT = 	
LIBS_EXT = 	

.asm.obj: ; $(AS) $(AFLAGS) -c $*.asm

all:	$(PROJ).EXE

disked.obj:	disked.c $(H)

alloc.obj:	alloc.c $(H)

dirent.obj:	dirent.c $(H)

diskio.obj:	diskio.c $(H)

disklib.obj:	disklib.c $(H)

files.obj:	files.c $(H)

mylib.obj:	mylib.c $(H)

setup.obj:	setup.c $(H)

fileio.obj:	fileio.c $(H)

screen.obj:	screen.c $(H)

error.obj:	error.c $(H)

debug.obj:	debug.c $(H)

direct.obj:	direct.c $(H)

$(PROJ).EXE:	disked.obj alloc.obj dirent.obj diskio.obj disklib.obj files.obj mylib.obj \
	setup.obj fileio.obj screen.obj error.obj debug.obj direct.obj $(OBJS_EXT)
	echo >NUL @<<$(PROJ).crf
disked.obj +
alloc.obj +
dirent.obj +
diskio.obj +
disklib.obj +
files.obj +
mylib.obj +
setup.obj +
fileio.obj +
screen.obj +
error.obj +
debug.obj +
direct.obj +
$(OBJS_EXT)
$(PROJ).EXE

$(LIBS_EXT);
<<
	ilink -a -e "qlink $(LFLAGS) @$(PROJ).crf" $(PROJ)

run: $(PROJ).EXE
	$(PROJ) $(RUNFLAGS)

