/***
*files.h - definitions/declarations for file indexing functions.
*
*Copyright (c) 1991-1994, Gregg Jennings.  All wrongs reserved.
*   P O Box 200, Falmouth, MA 02541-0200
*
*Purpose:
*   [ANSI]
*
*******************************************************************************/

#ifndef GENERAL_H
#include "general.h"
#endif

#define FILE_LEN  13

struct files_t {
     char name[FILE_LEN];
     char dir;
     int parent;
};

extern struct files_t *files;
extern unsigned int n_files,n_dirs;    /* number of files and directories */
extern int *clusters;              /* pointer to array of cluster entries */

extern int initfiles(void);
extern int pfile(char *file,unsigned int i);
extern char *gfile(unsigned int i);
extern int printfile(unsigned int);
extern int jumpfile(register unsigned int cluster, register int direction);
extern void mapfile(int i,int base);
extern int homefile(int i);
extern int endfile(int i);
extern void mapdisk(int base);
extern unsigned findfile(char *file);
extern unsigned int get_avail_clusters(void);
extern void mapfat12(int sec);
