/***
*general.h - definitions/declarations for general C programs
*
*   Copyright (c) 1992-1994, Gregg Jennings.  All wrongs reserved.
*
*Purpose:
*   This file defines the values and macros for general purposes
*   that are not in STDIO.H
*   [ANSI/System V]
*
*******************************************************************************/

#ifndef GENERAL_H

#define GENERAL_H

/* compiler dependencies */

#if defined(_MSC_VER)
# if defined(M_I86LM) || defined(M_I86CM)       /* determine memory model */
#  define __LARGE__
# endif
#elif defined(__BORLANDC__)

#else  /* other compiler */

#endif

#define OK    1
#define FALSE 0
#define TRUE  1
#define ERROR (-1)
#define ABORT (-2)
#define ESC   0x1b

typedef unsigned int word;
typedef unsigned long dword;
typedef unsigned char byte;

#endif
