/***
*alloc.h - definitions/declarations for malloc shell
*
*Copyright (c) 1992-1994, Gregg Jennings.  All wrongs reserved.
*   P O Box 200, Falmouth, MA 02541-0200
*
*Purpose:
*   [ANSI]
*
*******************************************************************************/

#ifdef __BORLANDC__                       /* same but different */
#define _heapset(c)  heapfillfree(c)
#define _heapinfo    heapinfo
#define _heapwalk    heapwalk
#define _nheapwalk   heapwalk
#define _heapchk     heapcheck
#define _nheapchk    heapcheck
#define _pentry      ptr
#define _size        size
#define _useflag     in_use
#endif

extern void *alloc(size_t num, size_t size);
extern void  freep(void *addr);
extern char *heapstat(int status);
extern int   heapcheck(void);
extern void  nfreep(void _near *addr);
extern void _near *nalloc(size_t num, size_t size);
extern void *newalloc(void *p, size_t size);
